### Method

# FwupdPlugin Plugin set_device_gtype_default

since: 1.9.14

#### Declaration [src]

    void
    fu_plugin_set_device_gtype_default (
      FuPlugin* self,
      GType device_gtype
    )

#### Description [src]

Sets the default device `GType`.

This will also add the device `GType` using fu_plugin_add_device_gtype().

Plugins can use this method only in fu_plugin_init().

Available since: 1.9.14

#### Parameters

`device_gtype`

  Type: `GType`

  A `GType`, e.g. `FU_TYPE_DEVICE`.